@abstract
class_name AbstractFood
extends Node2D

@export var val: int = 1
@export var food_name: String = "Food"

@export var flow_carry_speed: float = 10.0

signal consumed

func _ready() -> void:
	pass

func _physics_process(delta: float) -> void:
	var dpos = Vector2(GameManager.flow_x, GameManager.flow_y) * delta * flow_carry_speed
	position += dpos

func _on_body_entered(body: Node2D) -> void:
	pass

func eat(consumer: Node2D) -> void:
	pass
